com.jscape.inet.ftp

## Class FxpFailedEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.inet.ftp.FxpFailedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FxpFailedEvent
      extends java.util.EventObject

  Fired when a FXP transfer has failed to complete
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FxpFailedEvent(java.lang.Object src, java.lang.Object destination, java.lang.String filename, java.lang.Exception ex)` Creates a new FxpFailedEvent instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getDestination()` Gets destination Ftp or Ftps instance causing FXP failure.
    `java.lang.Exception` | `getException()` Gets exception causing FXP failure.
    `java.lang.String` | `getFilename()` Gets filename that caused FXP failure
    `java.lang.Object` | `getSource()` Gets source Ftp or Ftps instance causing FXP failure.

    - ### Methods inherited from class java.util.EventObject

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FxpFailedEvent

          public FxpFailedEvent(java.lang.Object src,
                                java.lang.Object destination,
                                java.lang.String filename,
                                java.lang.Exception ex)

      Creates a new FxpFailedEvent instance
      Parameters:
        `src` - the source Ftp or Ftps instance
        `destination` - the destination Ftp or Ftps instance
        `filename` - the filename that failed transfer
        `ex` - the exception

  - ### Method Detail

    - #### getException

          public java.lang.Exception getException()

      Gets exception causing FXP failure.
      Returns:
        the exception

    - #### getSource

          public java.lang.Object getSource()

      Gets source Ftp or Ftps instance causing FXP failure.
      Overrides:
        `getSource` in class `java.util.EventObject`
      Returns:
        a Ftp or Ftps instance
      See Also:
        `Ftp`, `Ftps`

    - #### getDestination

          public java.lang.Object getDestination()

      Gets destination Ftp or Ftps instance causing FXP failure.
      Returns:
        a Ftp or Ftps instance
      See Also:
        `Ftp`, `Ftps`

    - #### getFilename

          public java.lang.String getFilename()

      Gets filename that caused FXP failure
      Returns:
        filename

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved